Subject: [PATCH 7/8] ARM: OMAP: Remove plat/io.h by moving it into mach/io.h

From: [email-masked] (Rob Herring)
Date: Wed, 29 Feb 2012 21:34:08 -0600

On 02/29/2012 07:03 PM, Tony Lindgren wrote:
> * Tony Lindgren <[email-masked]> [120229 16:08]:
>> * Russell King - ARM Linux <[email-masked]> [120229 15:40]:
>>> On Wed, Feb 29, 2012 at 05:59:27PM -0600, Rob Herring wrote:
>>>> BTW, all these includes need to get removed. I'll add a fix to my series
>>>> unless you already have fixes:
>>>>
>>>> arch/arm/mach-omap1/sleep.S:#include <mach/io.h>
>>>> arch/arm/mach-omap1/sram.S:#include <mach/io.h>
>>>> arch/arm/plat-omap/include/plat/sdrc.h:#include <mach/io.h>
>>>> drivers/media/video/davinci/vpbe_osd.c:#include <mach/io.h>
>>>> drivers/media/video/davinci/vpbe_venc.c:#include <mach/io.h>
>>>> drivers/video/omap2/vrfb.c:#include <mach/io.h>
>>>
>>> All the ones included from .h and .c files should be using linux/io.h
>>> and not some other derivative.
>>
>> Oops looks like I missed some files while fixing up the .c files.
>> The .S files should be able to just use the local header now.
>>
>> I'll do a patch for that, won't touch the davinci files though.
> 
> Here's the patch to remove mach/io.h for omaps. We can now remove
> all of them like Rob suggested :)
> 
> Rob, I assume you'll apply this into your branch?
> 

Yes

> Regards,
> 
> Tony
> 
> 
> From: Tony Lindgren <[email-masked]>
> Date: Wed, 29 Feb 2012 17:01:22 -0800
> Subject: [PATCH] ARM: OMAP: Remove remaining includes for mach/io.h
> 
> These are no longer needed with the recent iomap.h
> changes.
> 
> Reported-by: Rob Herring <[email-masked]>
> Signed-off-by: Tony Lindgren <[email-masked]>
> 
> --- a/arch/arm/mach-omap1/include/mach/entry-macro.S
> +++ b/arch/arm/mach-omap1/include/mach/entry-macro.S
> @@ -11,7 +11,6 @@
>   */
>  
>  #include <mach/hardware.h>
> -#include <mach/io.h>
>  #include <mach/irqs.h>
>  
>  #include "../../iomap.h"
> --- a/arch/arm/mach-omap1/sram.S
> +++ b/arch/arm/mach-omap1/sram.S
> @@ -12,7 +12,6 @@
>  
>  #include <asm/assembler.h>
>  
> -#include <mach/io.h>
>  #include <mach/hardware.h>
>  
>  #include "iomap.h"
> --- a/arch/arm/plat-omap/include/plat/sdrc.h
> +++ b/arch/arm/plat-omap/include/plat/sdrc.h
> @@ -16,8 +16,6 @@
>   * published by the Free Software Foundation.
>   */
>  
> -#include <mach/io.h>
> -

I added iomap.h here as there are macros in the header from it.

Rob

>  /* SDRC register offsets - read/write with sdrc_{read,write}_reg() */
>  
>  #define SDRC_SYSCONFIG		0x010
> --- a/drivers/video/omap2/vrfb.c
> +++ b/drivers/video/omap2/vrfb.c
> @@ -27,7 +27,6 @@
>  #include <linux/bitops.h>
>  #include <linux/mutex.h>
>  
> -#include <mach/io.h>
>  #include <plat/vrfb.h>
>  #include <plat/sdrc.h>
>